export default {
  inserted: function (el) {
    const inputs = el.querySelectorAll("input");
    const inputArray = Array.from(inputs);
    
    inputArray.forEach((input, index) => {
      input.setAttribute("keyFocusIndex", index);
      input.addEventListener("keyup", (ev) => {
        if (ev.keyCode === 13) {
          const targetTo = ev.srcElement.getAttribute("keyFocusTo");
          if (targetTo) {
            this.$refs[targetTo].$el.focus();
          } else {
            const attrIndex = ev.srcElement.getAttribute("keyFocusIndex");
            const ctlI = parseInt(attrIndex);
            if (ctlI < inputArray.length - 1) inputArray[ctlI + 1].focus();
          }
        }
      });
    });
  },
}
